package com.cool.store.mapper;

import com.cool.store.entity.HyPartnerUserInfoDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author zhangchenbiao
 * @date 2023-05-29 03:53
 */
@Mapper
public interface HyPartnerUserInfoMapper {
    /**
     *
     * 默认插入方法，只会给有值的字段赋值
	 * 会对传进来的字段做判空处理，如果字段为空，则使用数据库默认字段或者null
     * dateTime:2023-05-29 03:53
     */
    int insertSelective(@Param("record") HyPartnerUserInfoDO record);

    /**
     *
     * 默认更新方法，根据主键更新，不会把null值更新到数据库，避免覆盖之前有值的
     * dateTime:2023-05-29 03:53
     */
    int updateByPrimaryKeySelective(@Param("record") HyPartnerUserInfoDO record);

    /**
     * 根据partnerID查询用户信息
     * @param partnerId
     * @return
     */
    HyPartnerUserInfoDO selectByPartnerId(@Param("partnerId") String partnerId);

    HyPartnerUserInfoDO selectByMobile(@Param("mobile") String mobile);

    HyPartnerUserInfoDO selectByOpenid(@Param("openid") String openid);

    /**
     * 根据partnerIDs批量查询用户信息
     * @param partnerIdList
     * @return
     */
    List<HyPartnerUserInfoDO> selectByPartnerIds(@Param("partnerIdList") List<String> partnerIdList);

    int updateByPartnerId(@Param("record") HyPartnerUserInfoDO record);

    String selectLastCrmCreateTime();

}